CampaignsCampaignid

/campaigns/{campaignId}

GET
/campaigns/{campaignId}
AuthorizationBearer <token>

JWT Authorization header using Bearer scheme

In: header

Path Parameters

campaignId*string
Formatuuid

Response Body

application/json

curl -X GET "https://api.speaknode.com/api/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "title": "string",
  "campaign_type": "Outbound",
  "user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
  "agent_id": "2b1e3b65-2c04-4fa2-a2d7-467901e98978",
  "agent_title": "string",
  "phone_number_agent_id": "3111abc6-acae-4f9c-9be9-8979179075ad",
  "phone_number": "string",
  "file_stored_id": "7244a610-e2b8-48eb-bb20-6a89c3a6f834",
  "file_preview": {
    "sheets": [
      {
        "name": "string",
        "row_count": 0,
        "column_count": 0,
        "rows": [
          {
            "row_number": 0,
            "cells": [
              {
                "column": 0,
                "value": "string",
                "type": "Text"
              }
            ]
          }
        ]
      }
    ]
  },
  "column_mapping": [
    {
      "column_index": 0,
      "field": "string"
    }
  ],
  "first_row_is_header": true,
  "items_count": 0,
  "start_date": "2019-08-24T14:15:22Z",
  "status": "Initial",
  "has_error": true,
  "error_message": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}